package com.fjhx.jushuitan.service.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderInfoVo;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderInfoSelectDto;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderInfoDto;

import java.util.List;

/**
 * <p>
 * 聚水潭订单表 服务类
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderInfoService extends BaseService<JstOrderInfo> {

    /**
     * 聚水潭订单表列表
     */
    List<JstOrderInfoVo> getList(JstOrderInfoSelectDto dto);

    /**
     * 聚水潭订单表分页
     */
    Page<JstOrderInfoVo> getPage(JstOrderInfoSelectDto dto);

    /**
     * 聚水潭订单表明细
     */
    JstOrderInfoVo detail(Long id);

    /**
     * 聚水潭订单表新增
     */
    void add(JstOrderInfoDto jstOrderInfoDto);

    /**
     * 聚水潭订单表编辑
     */
    void edit(JstOrderInfoDto jstOrderInfoDto);

    /**
     * 聚水潭订单表删除
     */
    void delete(Long id);

    Long getLastTs();
}
